Eclipse Platform Release 3.7

## org.eclipse.jface.preference
Class ColorFieldEditor

    java.lang.Object
      org.eclipse.jface.preference.FieldEditor
          org.eclipse.jface.preference.ColorFieldEditor

    public class ColorFieldEditor

extends FieldEditor

A field editor for a color type preference.

Field Summary

Fields inherited from class org.eclipse.jface.preference.FieldEditor
`HORIZONTAL_GAP, IS_VALID, VALUE`

Constructor Summary
`protected` `ColorFieldEditor()` Creates a new color field editor
`` `ColorFieldEditor(String name, String labelText, Composite parent)` Creates a color field editor.

Method Summary
`protected void` `adjustForNumColumns(int numColumns)` Adjusts the horizontal span of this field editor's basic controls.
`protected Point` `computeImageSize(Control window)` Computes the size of the color image displayed on the button.
`protected void` `doFillIntoGrid(Composite parent, int numColumns)` Fills this field editor's basic controls into the given parent.
`protected void` `doLoad()` Initializes this field editor with the preference value from the preference store.
`protected void` `doLoadDefault()` Initializes this field editor with the default preference value from the preference store.
`protected void` `doStore()` Stores the preference value from this field editor into the preference store.
`protected Button` `getChangeControl(Composite parent)` Returns the change button for this field editor.
`ColorSelector` `getColorSelector()` Get the color selector used by the receiver.
`int` `getNumberOfControls()` Returns the number of basic controls this field editor consists of.
`void` `setEnabled(boolean enabled, Composite parent)` Set whether or not the controls in the field editor are enabled.

Methods inherited from class org.eclipse.jface.preference.FieldEditor

`applyFont, checkParent, clearErrorMessage, clearMessage, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, createControl, dispose, fillIntoGrid, fireStateChanged, fireValueChanged, getFieldEditorFontName, getLabelControl, getLabelControl, getLabelText, getPage, getPreferenceName, getPreferencePage, getPreferenceStore, init, isValid, load, loadDefault, presentsDefaultValue, refreshValidState, setButtonLayoutData, setFocus, setLabelText, setPage, setPreferenceName, setPreferencePage, setPreferenceStore, setPresentsDefaultValue, setPropertyChangeListener, showErrorMessage, showMessage, store`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColorFieldEditor

    protected ColorFieldEditor()

  Creates a new color field editor

### ColorFieldEditor

    public ColorFieldEditor(String name,
                            String labelText,
                            Composite parent)

  Creates a color field editor.

  Parameters:
    `name` - the name of the preference this field editor works on
    `labelText` - the label text of the field editor
    `parent` - the parent of the field editor's control

Method Detail

### adjustForNumColumns

    protected void adjustForNumColumns(int numColumns)

  Description copied from class: `FieldEditor`
  Adjusts the horizontal span of this field editor's basic controls.

  Subclasses must implement this method to adjust the horizontal span of controls so they appear correct in the given number of columns.

  The number of columns will always be equal to or greater than the value returned by this editor's `getNumberOfControls` method.

  Specified by:
    `adjustForNumColumns` in class `FieldEditor`
  Parameters:
    `numColumns` - the number of columns

### computeImageSize

    protected Point computeImageSize(Control window)

  Computes the size of the color image displayed on the button.

  This is an internal method and should not be called by clients.

  Parameters:
    `window` - the window to create a GC on for calculation.
  Returns:
    Point The image size

### doFillIntoGrid

    protected void doFillIntoGrid(Composite parent,
                                  int numColumns)

  Description copied from class: `FieldEditor`
  Fills this field editor's basic controls into the given parent.

  Subclasses must implement this method to create the controls for this field editor.

  Note this method may be called by the constructor, so it must not access fields on the receiver object because they will not be fully initialized.

  Specified by:
    `doFillIntoGrid` in class `FieldEditor`
  Parameters:
    `parent` - the composite used as a parent for the basic controls; the parent's layout must be a `GridLayout`
    `numColumns` - the number of columns

### doLoad

    protected void doLoad()

  Description copied from class: `FieldEditor`
  Initializes this field editor with the preference value from the preference store.

  Subclasses must implement this method to properly initialize the field editor.

  Specified by:
    `doLoad` in class `FieldEditor`

### doLoadDefault

    protected void doLoadDefault()

  Description copied from class: `FieldEditor`
  Initializes this field editor with the default preference value from the preference store.

  Subclasses must implement this method to properly initialize the field editor.

  Specified by:
    `doLoadDefault` in class `FieldEditor`

### doStore

    protected void doStore()

  Description copied from class: `FieldEditor`
  Stores the preference value from this field editor into the preference store.

  Subclasses must implement this method to save the entered value into the preference store.

  Specified by:
    `doStore` in class `FieldEditor`

### getColorSelector

    public ColorSelector getColorSelector()

  Get the color selector used by the receiver.

  Returns:
    ColorSelector/

### getChangeControl

    protected Button getChangeControl(Composite parent)

  Returns the change button for this field editor.

  Parameters:
    `parent` - The control to create the button in if required.
  Returns:
    the change button

### getNumberOfControls

    public int getNumberOfControls()

  Description copied from class: `FieldEditor`
  Returns the number of basic controls this field editor consists of.

  Specified by:
    `getNumberOfControls` in class `FieldEditor`
  Returns:
    the number of controls

### setEnabled

    public void setEnabled(boolean enabled,
                           Composite parent)

  Description copied from class: `FieldEditor`
  Set whether or not the controls in the field editor are enabled.

  Overrides:
    `setEnabled` in class `FieldEditor`
  Parameters:
    `enabled` - The enabled state.
    `parent` - The parent of the controls in the group. Used to create the controls if required.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.